pfSense - Feature #9923

Add select_source compatible output to cert_build_list()
11/25/2019 10:42 AM - Jim Pingle

Status: Resolved Start date: 11/25/2019
Priority: Normal Due date:

Assignee: Jim Pingle % Done: 100%
Category: Certificates Estimated time: 0.00 hour
Target version: 250

Plus Target Version: Release Notes: Default
Description

Rather than duplicate the effort in many packages, add support to cert_build_list() to generate an array compatible with
select_source used by packages.

This will have keys named 'refid' and 'descr' containing the corresponding values from CA/Certificate entries.

To me, | have it ready to commit.

Associated revisions

Revision 59fac81f - 11/25/2019 10:42 AM - Jim Pingle

Add select_source compatible output to cert_build_list(). Implements #9923

Revision 3c1249b3 - 11/26/2019 08:14 AM - Jim Pingle
Add 'none' option to cert_build_list. Issue #9923

History

#1 - 11/25/2019 10:50 AM - Jim Pingle
- Status changed from New to Feedback

- % Done changed from 0 to 100

Applied in changeset 59fac81f316b0616e0c50ec47ffadcfad97a10ebb.

#2 - 01/08/2020 09:47 AM - Jim Pingle
- Status changed from Feedback to Resolved

Working for a while now.

05/18/2021

1/1



https://redmine.pfsense.org/projects/pfsense/repository/revisions/59fac81f316b0616e0c50ec47ffa9cfa97a10ebb
http://www.tcpdf.org

